Author Topic: Problems installing v28 SlickEdit on x86 OSX Ventura  (Read 544 times)

b

  • Senior Community Member
  • Posts: 325
  • Hero Points: 26
Problems installing v28 SlickEdit on x86 OSX Ventura
« on: November 23, 2023, 05:10:11 AM »
I've been using v28 on my Linux hosts just fine.  Finally got around to updating my Mac for some projects and it crashes when after first installation.From my v27 installation, I've collected the following (since I can't get it from v28 without the crash):

SlickEdit Pro 2022 (v27.0.2.0)

Serial number: FE10297
Licensed number of users: Single user
License file: /Library/Application Support/SlickEdit/27/slickedit.lic

Build Date: April 25, 2023   (State file: August 7, 2023)
Emulation: Vim

OS: macOS Ventura
OS Version: 13.6.1
Processor Architecture: Intel(R) Core(TM) i7-7820HQ CPU @ 2.90GHz 64 bit (8 cores)

Memory:  97% Load, 15936MB/16384MB Virtual
Shell Information: "/Applications/SlickEditPro2022.app/Contents/MacOS/secsh" -i
Screen Size: 2560 x 1440, 2560 x 1440

Project Type: (Other)
Language: .tcl (Tcl)
Encoding: UTF-8, no signature

Installation Directory:  /Applications/SlickEditPro2022.app/Contents/
Configuration Directory:  /Users/bkurle/Library/Application Support/SlickEdit/27.0.2/
Migrated from:  /Users/bkurle/Library/Application Support/SlickEdit/27.0.0/

Hotfixes:
/Users/bkurle/Library/Application Support/SlickEdit/27.0.2/hotfixes/hotfix_se2702_11_cumulative.zip Revision: 11 – (currently loaded)

The Slick-C Stack Trace I recovered from /tmp/vsstack.bkurle:

Slick-C STACK TRACE ******************************
 Created on 11/22/2023 at 20:59:09 (313 ms)
 SlickEdit Pro Version 28.0.0.6 Copyright 1988-2023 SlickEdit Inc.
 Edit module and type "st -f <offset>" to get the
 run-time error position

 error code=-2073
 This property or method is not allowed on this object

svclivediff.ex 1978 _OnUpdate_svc_live_diff_settings(
   1:   ARRAY (5 items)
   1:   
  • =45

   1:   [1]=2
   1:   [2]=1
   1:   [4]=0
   2:   0
   3:   svc-live-diff-settings lineflags
  p_window_id: 1
  p_object: OI_DESKTOP
  p_name:
menu.ex 11268 _OnUpdate(
   1:   ARRAY (5 items)
   1:   
  • =45

   1:   [1]=2
   1:   [2]=1
   1:   [4]=0
   2:   0
   3:   svc-live-diff-settings lineflags
  p_window_id: 1
  p_object: OI_DESKTOP
  p_name:


I've tried removing the v28 installation (purging Trash) and reinstalling, but still with the same crash results.   Pop up after showing the stack, clicking Okay and SlickEdit exits.

Clark

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 6905
  • Hero Points: 531
Re: Problems installing v28 SlickEdit on x86 OSX Ventura
« Reply #1 on: November 23, 2023, 03:16:36 PM »
This could be something in your configuration data.

If it is, running with a clean config like this should work:

Code: [Select]
vs -sc /tmp/tempconfig
Your config data is here: /Users/bkurle/Library/Application Support/SlickEdit/27.0.2/

b

  • Senior Community Member
  • Posts: 325
  • Hero Points: 26
Re: Problems installing v28 SlickEdit on x86 OSX Ventura
« Reply #2 on: November 24, 2023, 03:22:10 AM »
Tried it with vs -sc /tmp/tempconfig and got the welcome/config page, but then got the errors and couldn't go any further.  Saw the following:

┌──(bkurle@lapple-too)-[~]
└─$ type vs
vs is /Applications/SlickEditPro2023.app/Contents/MacOS/vs

┌──(bkurle@lapple-too)-[~]
└─$ vs -sc /tmp/tempconfig
2023-11-23 19:17:16.170 vs[1198:1847416] Warning: Expected min height of view: (<NSButton: 0x7fb14e92dbe0>) to be less than or equal to 30 but got a height of 32.000000. This error will be logged once per view in violation.
2023-11-23 19:18:07.469 vs[1198:1847416] Warning: Expected min height of view: (<NSButton: 0x7fb14e92db50>) to be less than or equal to 30 but got a height of 32.000000. This error will be logged once per view in violation.
zsh: segmentation fault  vs -sc /tmp/tempconfig

┌──(bkurle@lapple-too)-[/tmp]
└─$ cat vsstack.bkurle
 Slick-C STACK TRACE ******************************
 Created on 11/23/2023 at 19:17:15 (921 ms)
 SlickEdit Pro Version 28.0.0.6 Copyright 1988-2023 SlickEdit Inc.
 Edit module and type "st -f <offset>" to get the
 run-time error position

 error code=-2073
 This property or method is not allowed on this object

svclivediff.ex 1978 _OnUpdate_svc_live_diff_settings(
   1:   ARRAY (5 items)
   1:   
  • =45

   1:   [1]=2
   1:   [2]=1
   1:   [4]=0
   2:   0
   3:   svc-live-diff-settings lineflags
  p_window_id: 1
  p_object: OI_DESKTOP
  p_name:
menu.ex 11268 _OnUpdate(
   1:   ARRAY (5 items)
   1:   
  • =45

   1:   [1]=2
   1:   [2]=1
   1:   [4]=0
   2:   0
   3:   svc-live-diff-settings lineflags
  p_window_id: 1
  p_object: OI_DESKTOP
  p_name:
dlgeditv.ex 7514 show(-modal -mdi _options_tree_form,3)  p_window_id: 7  p_object: OI_EDITOR  p_name:
quickstart.ex 100 quick_start()  p_window_id: 7  p_object: OI_EDITOR  p_name:
postinstall.ex 1144 postinstall:maybeShowQuickStart()  p_window_id: 7  p_object: OI_EDITOR  p_name:
postinstall.ex 2225 postinstall:upgradeTasks()  p_window_id: 7  p_object: OI_EDITOR  p_name:
postinstall.ex 2454 defmain()  p_window_id: 7  p_object: OI_EDITOR  p_name:


Clark

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 6905
  • Hero Points: 531
Re: Problems installing v28 SlickEdit on x86 OSX Ventura
« Reply #3 on: November 24, 2023, 02:18:05 PM »
Try installing this v28.0.0.6 mac intel installer which has a fix for the Slick-C stack you've posted:

https://drive.google.com/drive/folders/1gjR08T_K0j6IQpHo0wRkFR_tV-3MQ8mO?usp=sharing
« Last Edit: November 24, 2023, 05:54:18 PM by Clark »

b

  • Senior Community Member
  • Posts: 325
  • Hero Points: 26
Re: Problems installing v28 SlickEdit on x86 OSX Ventura
« Reply #4 on: November 24, 2023, 06:47:10 PM »
That appeared to do the trick.  Even though I passed in the -sc option to be ultra clean, it still griped about the vrestore in 27.x.x.  I suspect this is due to the Mac rejecting the binary,... I have to go to the Control Panel and select it to be okay and "open anyway" and it opens it normally instead of the requested -sc options as it doesn't know I passed parameters.   I'm not sure how to work around that when it is a fresh install (selecting open folder doesn't give it permissions).
Regardless, the new binary appears to have gotten me past the issue.  I was able to reimport my configurations and continue.
Thanks Clark!